"use strict";
//  deps
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkNonEmptyObject = exports.checkNonEmptyObjectSync = void 0;
// locals
const checkObject_1 = require("./../TypeError/checkObject");
// module
function checkNonEmptyObjectSync(dataName, data) {
    let err = (0, checkObject_1.checkObjectSync)(dataName, data);
    if (!err && 1 > Object.keys(data).length) {
        err = new RangeError("\"" + dataName + "\" must have keys");
    }
    return err;
}
exports.checkNonEmptyObjectSync = checkNonEmptyObjectSync;
function checkNonEmptyObject(dataName, data) {
    const err = checkNonEmptyObjectSync(dataName, data);
    return err ? Promise.reject(err) : Promise.resolve();
}
exports.checkNonEmptyObject = checkNonEmptyObject;
